PHP 7 RC3 and Anspress

2.64K viewsIssues
0

Today i had switched my plan from PHP 5.6 to PHP 7 RC3 to check things.

Anspress was among the two plugins that filled my debug.log with warnings and notices but it worked as far as i can tell.

 

PHP Deprecated:  Methods with the same name as their class will not be constructors in a future version of PHP; AP_Search_Widget

PHP Deprecated:  Methods with the same name as their class will not be constructors in a future version of PHP; AnsPress_Subscribe_Widget has a deprecated constructor

PHP Deprecated:  Methods with the same name as their class will not be constructors in a future version of PHP; AnsPress_Stats_Widget has a deprecated constructor in

PHP Deprecated:  Methods with the same name as their class will not be constructors in a future version of PHP; AP_Related_questions has a deprecated constructor in

Methods with the same name as their class will not be constructors in a future version of PHP; AP_Questions_Widget has a deprecated constructor in

PHP Deprecated:  Methods with the same name as their class will not be constructors in a future version of PHP; AnsPress_Breadcrumbs_Widget has a deprecated constructor in

PHP Deprecated:  Methods with the same name as their class will not be constructors in a future version of PHP; AP_followers_Widget has a deprecated constructor in

PHP Deprecated:  Methods with the same name as their class will not be constructors in a future version of PHP; AP_User_Widget has a deprecated constructor in